Package org.eclipse.net4j.util.om.log

# Class RollingLog.LogLine

java.lang.Object
org.eclipse.net4j.util.om.log.RollingLog.LogLine

Enclosing class:
  RollingLog

public static final class RollingLog.LogLine extends Object

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`LogLine(long millis, String thread, String message)`
`LogLine(String string)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getID()`
`String`
`getMessage()`
`long`
`getMillis()`
`String`
`getThread()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LogLine

public LogLine(long millis, String thread, String message)

### LogLine

public LogLine(String string)

## Method Details

### getID

public long getID()

### getMillis

public long getMillis()

### getThread

public String getThread()

### getMessage

public String getMessage()

### toString

public String toString()

Overrides:
  `toString` in class `Object`